Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi
  • Page :
  • 1
  • 2
  • 3

SUJET :

Problème démarrage Lucterios après MAJ Linux BIS il y a 1 an 5 mois #3208

  • jmok
  • Portrait de jmok Auteur du sujet
  • Hors Ligne
  • Fresh Boarder
  • Fresh Boarder
  • Messages : 19
  • Remerciements reçus 1
Bonsoir Laurent,
je viens de résoudre le problème, en me basant sur vos indications.
- j'ai supprimé la virtenv;
- j'ai rétrogradé vers "stable" tous les paquets Debian qui concernaient Python3, en supprimant tout ce qui "ne servait pas vraiment" (je réinstallerais ce dont j'ai besoin plus tard);
- je me suis assuré que tout ce qui reste est bien en version "stable". Soit dit en passant, la lib python3-distutils, qui semait la panique, n'a pas été réisntallée;
- j'ai déroulé "à la main" le script d'installation, après avoir téléchargé la dernière version depuis le site. Je me suis assuré que tout ce qui s'installait était bien en version "stable" en forçant si nécessaire. (La version pip que le script installe est la 19.0.*)

À la fin, tout fonctionne de nouveau: le lanceur démarre bien et j'ai accès à la gestion de ma copro.

Je vais figer la version de python3 car je ne peux pas laisser synaptics tout mettre à jour automatiquement. Tout le reste de ma Debian est en SID, je ne peux pas rétrograder l'ensemble sans causer d'immenses dommages collatéraux...

Encore merci :-)
Cet utilisateur a été remercié pour son message par: lag

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Dernière édition: par jmok.

Problème démarrage Lucterios après MAJ Linux BIS il y a 1 an 3 mois #3313

  • tb06
  • Portrait de tb06
  • Hors Ligne
  • Fresh Boarder
  • Fresh Boarder
  • Messages : 7
  • Remerciements reçus 0
Bonjour,

J'ai manifestement le même problème, ou en tout cas un problème connexe, mais je ne sais pas comment m'en sortir.
Après montée de version vers Ubuntu 19.04, Diacamma ne se lance plus. Je suis revenu télécharger le dernier package Diacamma sur le site, j'ai désinstallé la précédente version et quand je lance une nouvelle installation ça coince sur :
------ configure virtual environment ------

python3 /usr/local/bin/pip3 install  virtualenv -U
Traceback (most recent call last):
  File "/usr/local/bin/pip3", line 7, in <module>
    from pip import main
ImportError: cannot import name 'main' from 'pip' (/usr/lib/python3/dist-packages/pip/__init__.py)
Ma version de Python serait 3.7.3, qui sauf erreur de ma part est la dernière version stable :
$ python3 -V
Python 3.7.3
Que puis-je faire ?

Merci d'avance !

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Problème démarrage Lucterios après MAJ Linux BIS il y a 1 an 2 mois #3318

  • lag
  • Portrait de lag
  • Hors Ligne
  • Administrateur
  • Administrateur
  • Messages : 1589
  • Karma: 8
  • Remerciements reçus 348
Bonjour,

Vérifiez que "pip" est installé sur votre Python 3.7
Sinon, revenez en Python 3.6

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Laurent
Développeur Diacamma

Problème démarrage Lucterios après MAJ Linux BIS il y a 1 an 2 mois #3321

  • tb06
  • Portrait de tb06
  • Hors Ligne
  • Fresh Boarder
  • Fresh Boarder
  • Messages : 7
  • Remerciements reçus 0
Bonjour,

Si c'est bien cela qu'il faut faire, voici ce que j'obtiens :
$ which pip
/usr/local/bin/pip

$ pip -V
Traceback (most recent call last):
  File "/usr/local/bin/pip", line 7, in <module>
    from pip import main
ImportError: cannot import name 'main' from 'pip' (/usr/lib/python3/dist-packages/pip/__init__.py)

J'ai l'impression que ce n'est pas bon, hein ?
Je rétrograde plutôt vers Python 3.4.10 ou Python 3.5.7 ? (Elles ont la même date sur le site officiel !)

Encore un grand merci ! :-)

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Problème démarrage Lucterios après MAJ Linux BIS il y a 1 an 2 mois #3329

  • lag
  • Portrait de lag
  • Hors Ligne
  • Administrateur
  • Administrateur
  • Messages : 1589
  • Karma: 8
  • Remerciements reçus 348
Bonjour,

La version Python 3.5 est très bien: c'est celle disponible par défaut sur la dernière distribution Debian "Stretch".

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Laurent
Développeur Diacamma

Problème démarrage Lucterios après MAJ Linux BIS il y a 1 an 2 mois #3341

  • tb06
  • Portrait de tb06
  • Hors Ligne
  • Fresh Boarder
  • Fresh Boarder
  • Messages : 7
  • Remerciements reçus 0
Bonsoir,

J'ai réussi à installer Python 3.5.7 :
$ python3 -V
Python 3.5.7

Mais j'ai toujours l'erreur :
$ which pip
/usr/local/bin/pip

$ pip -V
Traceback (most recent call last):
  File "/usr/local/bin/pip", line 7, in <module>
    from pip import main
ImportError: cannot import name 'main' from 'pip' (/usr/lib/python3/dist-packages/pip/__init__.py)

Et l'installation Diacamma ne fonctionne donc toujours pas.

J'ai essayé de comprendre comment installer pip mais je n'ai pas trouvé de réponse simple et il y a un avertissement sur le b**del que cela peut mettre si on installe des versions incompatibles…

J'ai donc encore besoin d'un peu d'aide, désolé :-( et merci d'avance :-) .

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

  • Page :
  • 1
  • 2
  • 3
Temps de génération de la page : 0.078 secondes
Propulsé par Kunena

Qui sommes nous?

Le sanglier du Libre

Association éditant le logiciel Diacamma
12 rue Marius Charles
38420 Domène
France

Partenaire

SLETO

Si vous rechercher du support ou une solution d'hébergement pour Diacamma, faite confiance à SLETO, notre partenaire officiel